[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Qemu-devel] [PATCH 9/9] docker: exec $CMD
From: |
Fam Zheng |
Subject: |
[Qemu-devel] [PATCH 9/9] docker: exec $CMD |
Date: |
Wed, 21 Sep 2016 11:49:28 +0800 |
This is the last command to run (unless DEBUG), make it 'exec' to
simplify the process tree.
Signed-off-by: Fam Zheng <address@hidden>
---
tests/docker/run | 15 +++++++++------
1 file changed, 9 insertions(+), 6 deletions(-)
diff --git a/tests/docker/run b/tests/docker/run
index ed7dd31..c1e4513 100755
--- a/tests/docker/run
+++ b/tests/docker/run
@@ -57,14 +57,17 @@ cd "$QEMU_SRC/tests/docker"
CMD="$QEMU_SRC/tests/docker/$@"
-if test -n "$DEBUG"; then
- echo "* Prepared to run command:"
- echo " $CMD"
- echo "* Hit Ctrl-D to continue, or type 'exit 1' to abort"
- echo
- $SHELL
+if test -z "$DEBUG"; then
+ exec $CMD
fi
+# DEBUG workflow
+echo "* Prepared to run command:"
+echo " $CMD"
+echo "* Hit Ctrl-D to continue, or type 'exit 1' to abort"
+echo
+$SHELL
+
if "$CMD"; then
exit 0
elif test -n "$DEBUG"; then
--
2.7.4
- [Qemu-devel] [PATCH 4/9] docker: Update fedora image to latest, (continued)
- [Qemu-devel] [PATCH 4/9] docker: Update fedora image to latest, Fam Zheng, 2016/09/20
- [Qemu-devel] [PATCH 5/9] docker: Flatten default target list in test-quick, Fam Zheng, 2016/09/20
- [Qemu-devel] [PATCH 6/9] docker: Print used options before doing configure, Fam Zheng, 2016/09/20
- [Qemu-devel] [PATCH 7/9] docker: Support showing environment information, Fam Zheng, 2016/09/20
- [Qemu-devel] [PATCH 8/9] docker: Terminate instances at SIGTERM and SIGHUP, Fam Zheng, 2016/09/20
- [Qemu-devel] [PATCH 9/9] docker: exec $CMD,
Fam Zheng <=